package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.FireCheckRecordHiddenAddCmd;
import com.zcloud.fire.check.dto.FireCheckRecordHiddenPageQry;
import com.zcloud.fire.check.dto.FireCheckRecordHiddenUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckRecordHiddenCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:11:16
 */
public interface FireCheckRecordHiddenServiceI {
    PageResponse<FireCheckRecordHiddenCO> listPage(FireCheckRecordHiddenPageQry qry);

    SingleResponse<FireCheckRecordHiddenCO> add(FireCheckRecordHiddenAddCmd cmd);

    void edit(FireCheckRecordHiddenUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

